| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Classes | Public Types | Signals | Public Member Functions | List of all members
Digikam::LookupAltitude Class Referenceabstract
Inheritance diagram for Digikam::LookupAltitude:

## Classes
class | Request

## Public Types
typedef QFlags< StatusEnum > | StatusAltitude
enum | StatusEnum { StatusInProgress = 0 , StatusSuccess = 1 , StatusCanceled = 2 , StatusError = 3 }

## Signals
void | signalDone ()
void | signalRequestsReady (const QList< int > &readyRequests)

## Public Member Functions
| LookupAltitude (QObject *const parent)
virtual void | addRequests (const Request::List &requests)=0
virtual QString | backendHumanName () const =0
virtual QString | backendName () const =0
virtual void | cancel ()=0
virtual QString | errorMessage () const =0
virtual Request | getRequest (const int index) const =0
virtual Request::List | getRequests () const =0
virtual StatusAltitude | getStatus () const =0
virtual void | startLookup ()=0